Ir al contenido
Documentación de Endless

X search

POST
/social/x_search

Search X (Twitter) for public posts about a topic, hashtag, keyword, or account. Use it for trend analysis, monitoring conversations, tracking what an account or its mentions are posting, or finding high-engagement/viral posts. Supports X advanced-search operators directly in query (e.g. from:nasa, to:nasa, #hashtag, "exact phrase", since:2026-01-01). When the user shares an X URL like https://x.com/user/status/123, search the status id (123) to find the post and related conversation.

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Header Parameters

Endless-Api-Version?string

Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/social/x_search" \  -H "Content-Type: application/json" \  -d '{    "organization_id": "string",    "input": {      "query": "string"    }  }'
{  "operation": "instagram_profile",  "result": {    "summary": "string",    "query": "string",    "section": "top",    "count": -9007199254740991,    "posts": [      {        "id": "string",        "url": "string",        "text": "string",        "created_at": "string",        "lang": "string",        "like_count": 0,        "reply_count": 0,        "retweet_count": 0,        "quote_count": 0,        "bookmark_count": 0,        "view_count": 0,        "hashtags": [          "string"        ],        "author": {          "id": "string",          "username": "string",          "name": "string",          "verified": true,          "followers_count": 0,          "following_count": 0        },        "article_url": "string"      }    ]  },  "requests": 0,  "credits_charged": 0}